package org.arefgard.icerya.container.def;

/**
 * プロパティ情報を保持するエンティティ。
 * 
 * @author Takashi Yamashina
 *
 */
public class PropertyDef {
	/** key */
	private String name;
	/** type */
	private Class type;
	/** 対応する値 */
	private ResourceDef resourceDef;
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public Class getType() {
		return type;
	}

	public void setType(Class type) {
		this.type = type;
	}

	public ResourceDef getResourceDef() {
		return resourceDef;
	}

	public void setResourceDef(ResourceDef resourceDef) {
		this.resourceDef = resourceDef;
	}



	
}
